allowed_actions must be configured to selected. For more information, see "Set GitHub Actions permissions for an organization."selected actions set at the enterprise level, then you cannot override any of the enterprise's allowed actions settings.patterns_allowed setting for private repositories, the organization must belong to an enterprise. If the organization does not belong to an enterprise, then the patterns_allowed setting only applies to public repositories in the organization.admin:org scope to use this endpoint.curl --location --request PUT 'https://service1.exmaple.com/orgs//actions/permissions/selected-actions' \
--header 'Content-Type: application/json' \
--data-raw '{
"github_owned_allowed": true,
"verified_allowed": false,
"patterns_allowed": [
"monalisa/octocat@*",
"docker/*"
]
}'